List of transactions
BearerAuthAuthorizationBearer <JWT>limit?integerNumber of items to return per page (max 100).
1 <= value <= 10025page?integerPage index for pagination.
1 <= value1status[]?array<>Filter by transaction status (e.g. COMPLETED, REJECTED).
createdAt[gte]?stringFilter for transactions created on or after this date.
date-timeoperation[]?array<>Filter by operation direction (INCOMING or OUTGOING).
type[]?array<>Filter by transaction type.
accountId?stringFilter by account.
uuidsourceTransactionId?stringFilter by source transaction id (e.g. for refunds).
uuidaliasId?stringFilter transactions by alias UUID.
uuidgatewayPaymentId?stringFilter transactions by linked gateway payment UUID.
uuidiban?stringFilter by exact IBAN. Matches the beneficiary, beneficiary alias or sender identification.
accountNumber?stringFilter by exact account number. Matches the beneficiary, beneficiary alias or sender identification.
order[createdAt]?stringSort order by createdAt field (desc by default).
"asc""desc"X-Volt-Api-Version*1Version of the API used. Currently, version 1 is the only version.
1Paginated list of transactions.
application/json- response
[index: integer]?curl -X GET 'https://accounts.sandbox.volt.io/transactions' \ -H 'X-Volt-Api-Version: 1'[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "CREATED", "failure": { "code": "string" }, "operation": "OUTGOING", "type": "PAYOUT", "subtype": "OPEN_LOOP", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "amount": 123, "currency": "EUR", "paymentReference": "string", "internalReference": "string", "paymentRail": "string", "beneficiary": { "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "alias": { "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479" }, "name": "string", "email": "user@example.com", "country": "DE", "accountIdentifiers": { "iban": "PL61109010140000071219812874", "swiftBic": "WBKPPLPP" }, "address": { "addressLine1": "string", "addressLine2": "string", "city": "string", "postalCode": "string", "country": "DE" } }, "sender": { "name": "string", "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "accountIdentifiers": { "iban": "PL61109010140000071219812874", "swiftBic": "WBKPPLPP" } }, "initiatedBy": { "performer": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "type": "USER" } }, "gatewayPaymentId": "08a2dec1-3524-4816-9244-96c1ec176295", "sourceTransactionId": "6ad9e2ad-9fbe-4a37-98e5-be515b1f31a2", "decisions": [ { "performer": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "type": "USER" }, "type": "APPROVED", "subject": "ACCOUNT_HOLDER_VERIFICATION", "createdAt": "2019-08-24T14:15:22Z" } ], "verifications": { "accountHolderVerification": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "result": "MATCH", "executedAt": "2019-08-24T14:15:22Z" } } }]